"""Add modify_note workflow to all products.

Revision ID: 75c63ad44cbb
Revises: 6c986f219e3f
Create Date: 2024-01-10 17:19:25.190165

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = '75c63ad44cbb'
down_revision = '6c986f219e3f'
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import add_products_to_workflow_by_product_tag, remove_products_from_workflow_by_product_tag

new_workflows = ["SITE", "RTR", "IPTRUNK"]


def upgrade() -> None:
    conn = op.get_bind()
    for product_tag in new_workflows:
        add_products_to_workflow_by_product_tag(conn, "modify_note", product_tag)


def downgrade() -> None:
    conn = op.get_bind()
    for product_tag in new_workflows:
        remove_products_from_workflow_by_product_tag(conn, "modify_note", product_tag)
